/*
Theme Name: theme-enfant
Template: twentytwentyfive
Version: 1.0
*/
@import url("../twentytwentyfive/style.css");

/* aucun lien souligné */
a {
  text-decoration: none !important;
}
a:focus,
button:focus,
li:focus,
span:focus {
  outline-style: none;
  outline-width: 0;
}

@media (min-width: 600px) {
  /* menu , tiret en fin delement*/
  .wp-block-navigation .wp-block-navigation-item::before {
    content: "__";
    color: #fffc8a;
    margin-right: 5px;
  }
  /* sauf premier element ni sous menu*/
  .wp-block-navigation .wp-block-navigation-item:first-child::before,
  .wp-block-navigation
    .wp-block-navigation-item
    .wp-block-navigation-submenu
    .wp-block-navigation-item:before {
    content: "";
    color: #fffc8a;
  }
  /* pas sur les sous menu */
}
/* Sous-menu général */
.wp-block-navigation-submenu__toggle {
  width: 1em;
}
.wp-block-navigation .wp-block-navigation-item {
  background-color: none;
}
/* Sous-menu général */
.wp-block-navigation.items-justified-right
  .wp-block-navigation__container
  .has-child
  .wp-block-navigation__submenu-container,
.wp-block-navigation.items-justified-left
  .wp-block-navigation__container
  .has-child
  .wp-block-navigation__submenu-container {
  background-color: #0f0f0d;
  border-color: #fffc8a;
  border-radius: 10px;
  left: 0;
  width: 300px;
  z-index: 999;
}
.wp-block-navigation .wp-block-navigation-submenu .wp-block-navigation-item {
  margin-bottom: 0;
  border-radius: 10px !important;
}
.wp-block-navigation-item .wp-block-navigation-link:focus {
  outline-style: none;
  outline-width: 0;
}

/* espace bas pour sous menu*/
.wp-block-navigation
  .wp-block-navigation-submenu
  .wp-block-navigation-item:not(:last-child) {
  margin-bottom: 3px !important;
}
/* Tiret de fin de ligne 
.wp-block-navigation__submenu-container a::after {
  content: "_";
}*/
/* Liens du sous-menu */
.wp-block-navigation__submenu-container a {
  color: #fffc8a;
  text-decoration: none;
  padding: 5px 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-family: "Coolvetica", sans-serif;
}
.wp-block-navigation-item:focus,
.wp-block-navigation-link:focus {
  border: none !important;
}
/* Flèche jaune à droite */
.wp-block-navigation__submenu-container a::after {
  content: "→";
  color: #fffc8a;
  margin-left: 20px;
  transition: transform 0.2s ease;
}

/* Hover : fond plus clair + flèche qui bouge */
.wp-block-navigation__submenu-container a:hover {
  background-color: #0f0f0d;
  border-radius: 10px;
}
.wp-block-navigation__submenu-container a:hover::after {
  transform: translateX(4px);
}

/* formulaire wp form*/
.wp-block-columns {
  width: 100%;
}

div.wpforms-container-full .wpforms-field-label {
  text-align: left;
  font-family: var(--wp--preset--font-family--mrseavesxlserifnarot) !important;
  font-style: normal;
  font-size: clamp(14px, 0.875rem + ((1vw - 3.2px) * 0.588), 20px) !important;
  letter-spacing: 0px;
  color: #fffc8a !important;
  margin-bottom: 7px !important;
}

.wp-block-columns .wpforms-field-limit-text {
  display: none;
}
/*#wpforms-form-610 */
div.wpforms-container-full input[type="submit"]:not(:hover):not(:active),
div.wpforms-container-full button[type="submit"]:not(:hover):not(:active),
div.wpforms-container-full .wpforms-page-button:not(:hover):not(:active),
.wp-core-ui
  div.wpforms-container-full
  input[type="submit"]:not(:hover):not(:active),
.wp-core-ui
  div.wpforms-container-full
  button[type="submit"]:not(:hover):not(:active),
.wp-core-ui
  div.wpforms-container-full
  .wpforms-page-button:not(:hover):not(:active),
div.wpforms-container-full input[type="submit"]:hover:active,
div.wpforms-container-full button[type="submit"]:hover:active,
div.wpforms-container-full .wpforms-page-button:hover:active,
.wp-core-ui div.wpforms-container-full input[type="submit"]:hover:active,
.wp-core-ui div.wpforms-container-full button[type="submit"]:hover:active,
.wp-core-ui
  div.wpforms-container-full
  .wpforms-page-button:hover:active
  .wp-block-columns
  .wpforms-submit {
  float: left;
  color: #0f0f0d;
  border-radius: 50px;
  background: #fffc8a !important;
  font-weight: 400 !important;
  font-style: normal;
  letter-spacing: 0.5px;
  font-family: var(--wp--preset--font-family--mrseavesxlserifnarot) !important;
  outline-style: none;
  outline-width: 0;
}

div.wpforms-container-full input[type="submit"]:hover,
div.wpforms-container-full button[type="submit"]:hover,
div.wpforms-container-full input[type="submit"]:focus,
div.wpforms-container-full button[type="submit"]:focus,
div.wpforms-container-full .wpforms-page-button:hover,
div.wpforms-container-full .wpforms-page-button:focus,
.wp-core-ui div.wpforms-container-full input[type="submit"]:focus,
.wp-core-ui div.wpforms-container-full button[type="submit"]:focus,
.wp-core-ui div.wpforms-container-full input[type="submit"]:hover,
.wp-core-ui div.wpforms-container-full button[type="submit"]:hover,
.wp-core-ui
  div.wpforms-container-full
  .wpforms-page-button:hover
  .wp-block-columns
  .wpforms-submit,
.wp-core-ui div.wpforms-container-full input[type="submit"]:focus,
.wp-core-ui div.wpforms-container-full button[type="submit"]:focus,
.wp-core-ui
  div.wpforms-container-full
  .wpforms-page-button:focus
  .wp-block-columns
  .wpforms-submit {
  float: left;
  color: #0f0f0d;
  border-radius: 50px;
  background: #fffc8a !important;
  font-style: normal;
  font-weight: 400 !important;
  letter-spacing: 0.5px;
  font-family: var(--wp--preset--font-family--mrseavesxlserifnarot);
  outline-style: none;
  outline-width: 0;
}

/* mobile */
@media (max-width: 599px) {
  a:focus {
    outline-style: none;
    outline-width: 0;
  }

  .wp-block-navigation__responsive-container {
    height: 100%;
  }
  .wp-block-navigation__responsive-close {
    margin: auto 0;
  }

  .wp-block-navigation__responsive-container-close {
    right: 5px;
    top: -80px;
  }

  .wp-block-navigation__responsive-container-open svg,
  .wp-block-navigation__responsive-container-close svg {
    width: 40px;
    height: 40px;
  }
  .wp-block-navigation__responsive-container-close svg {
    fill: white;
  }

  .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content {
    display: flex;
    flex-direction: column;
  }
  .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content
    .wp-block-navigation__container {
    display: flex;
    flex-direction: column;
    width: 100%;
  }

  .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content
    .wp-block-navigation__container
    > li,
  .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content
    .wp-block-navigation__container
    ul
    > li {
    box-sizing: border-box;
    width: calc(100vw - 4rem); /* 100vw - 2rem gauche - 2rem droite */
    margin: 0 2rem;
    height: 50px;
  }

  .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content
    .wp-block-navigation__container
    > li
    .wp-block-navigation-item__content {
    font-size: 30px;
    color: white;
    border-bottom: 2px solid #fffc8a;
    font-weight: 400;
    padding-bottom: 5px;
    font-family: "Coolvetica", sans-serif;
    width: 100%;
  }

  .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content
    .wp-block-navigation__container
    > .wp-block-navigation-submenu {
    /*display: flex;
    flex-direction: column;
    width: 100%;*/

    align-items: self-start;
  }

  .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content
    .wp-block-navigation__container
    > li
    .wp-block-navigation-submenu {
    display: none;
  }
  .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content
    .wp-block-navigation__container
    > li
    .wp-block-navigation-submenu
    > li {
    margin: 0;
    border-bottom: 1px solid #fffc8a;
  }

  .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content
    .wp-block-navigation__container
    > li
    .wp-block-navigation-submenu
    > li
    .wp-block-navigation-item__content {
    font-size: 30px !important;
    color: white !important;
    font-weight: 400;
    font-family: "Coolvetica", sans-serif;
  }

  .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content
    .wp-block-navigation__container
    > li
    .wp-block-navigation-item__content::after,
  .wp-block-navigation__responsive-container.is-menu-open
    .wp-block-navigation__responsive-container-content
    .wp-block-navigation__container
    > li
    .wp-block-navigation-submenu
    > li
    .wp-block-navigation-item__content::after {
    content: "→";
    color: white;
    margin-left: 20px;
    transition: transform 0.2s ease;
    position: absolute;
    right: 0;
  }
}
